Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrationsAdmin
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrationsAdmin
Qikberry.AI
App
  1. Non-templates messages
  • Introduction
  • Marketing Messages
  • Authentication Messages
  • Catalog Messages
  • Payment Messages
  • Groups
  • Receiving Messages via Webhook
  • Template messages
    • Overview
    • Components
    • Text Template Message
    • Sample Template Message
      POST
  • Non-templates messages
    • Interactive
      • URL button
      • List buttons
      • Media carousel
      • Reply buttons
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
    • Location Request
      POST
    • Reaction
      POST
    • Sticker
      POST
  1. Non-templates messages

Contacts

POST
https://rest.qikberry.ai/v1/whatsapp/messages
Contacts Messages allow you to share complete contact details with WhatsApp users, including names, phone numbers, addresses, and email information.
address_message_.png
When a WhatsApp user taps the message’s profile arrow, it displays the contact’s information in a profile view:
contact_profile_img.png
A single message can include up to 257 contacts, but sending fewer contacts is recommended for a better user experience. Some contact details like addresses, birthdays, and emails may not be supported on all recipient devices.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: 91XXXXXXXXXX' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "+91XXXXXXXXXX",
    "type": "contacts",
    "contacts": [
        {
            "addresses": [
                {
                    "street": "<STREET_NUMBER_AND_NAME>",
                    "city": "<CITY>",
                    "state": "<STATE_CODE>",
                    "zip": "<ZIP_CODE>",
                    "country": "<COUNTRY_NAME>",
                    "country_code": "<COUNTRY_CODE>",
                    "type": "<ADDRESS_TYPE>"
                }
            ],
            "birthday": "<BIRTHDAY>",
            "emails": [
                {
                    "email": "<EMAIL_ADDRESS>",
                    "type": "<EMAIL_TYPE>"
                }
            ],
            "name": {
                "formatted_name": "<FULL_NAME>",
                "first_name": "<FIRST_NAME>",
                "last_name": "<LAST_NAME>",
                "middle_name": "<MIDDLE_NAME>",
                "suffix": "<SUFFIX>",
                "prefix": "<PREFIX>"
            },
            "org": {
                "company": "<COMPANY_OR_ORG_NAME>",
                "department": "<DEPARTMENT_NAME>",
                "title": "<JOB_TITLE>"
            },
            "phones": [
                {
                    "phone": "<PHONE_NUMBER>",
                    "type": "<PHONE_NUMBER_TYPE>",
                    "wa_id": "<WHATSAPP_USER_ID>"
                }
            ],
            "urls": [
                {
                    "url": "<WEBSITE_URL>",
                    "type": "<WEBSITE_TYPE>"
                }
            ]
        }
    ]
}'
Response Response Example
200 - Success
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-08-17 04:54:38
Previous
Document
Next
Image
Built with